List Actions for an Agent
List for actions for an agent
GET
/
conversation-ai
/
agents
/
{agentId}
/
actions
/
list
List Actions for an Agent
curl --request GET \
--url https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/list \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/list"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "actionId123",
"name": "Trigger Workflow",
"type": "triggerWorkflow",
"details": {
"workflowIds": [
"workflow123",
"workflow456"
],
"triggerCondition": "When user requests appointment",
"triggerMessage": "Workflow triggered successfully"
},
"agentId": "agentId123"
}
],
"success": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Access Token or Private Integration Token
Headers
API Version
Available options:
2021-04-15 Path Parameters
Last modified on March 7, 2026
Was this page helpful?
⌘I
List Actions for an Agent
curl --request GET \
--url https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/list \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/list"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "actionId123",
"name": "Trigger Workflow",
"type": "triggerWorkflow",
"details": {
"workflowIds": [
"workflow123",
"workflow456"
],
"triggerCondition": "When user requests appointment",
"triggerMessage": "Workflow triggered successfully"
},
"agentId": "agentId123"
}
],
"success": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}